Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class RemoteCommitEventManager

    java.lang.Object
      |
      +--serp.util.AbstractEventManager
            |
            +--kodo.event.RemoteCommitEventManager

All Implemented Interfaces:
  com.solarmetric.util.Closeable, TransactionListener

public class RemoteCommitEventManager
extends serp.util.AbstractEventManager
implements TransactionListener, com.solarmetric.util.Closeable

Manager that can be used to track and notify `RemoteCommitListener`s on remote commit events. Exceptions thrown by listeners are consumed. If remote events are enabled, this manager should be installed as a transaction listener on all persistence managers so that it knows when commits are made.

Since:
  3.0

Constructor Summary
`RemoteCommitEventManager(JDOConfiguration conf)` Constructor.

Method Summary
`void` | `afterBegin(TransactionEvent event)` Notification that a transaction has begun.
`void` | `afterCommit(TransactionEvent event)` Notification that a transaction has successfully committed.
`void` | `afterFlush(TransactionEvent event)` Notification that a transaction has flushed all object changes.
`void` | `afterRollback(TransactionEvent event)` Notification that a transaction has been rolled back.
`void` | `afterStateTransitions(TransactionEvent event)` Notification that JDO state transitions are complete.
`boolean` | `areRemoteEventsEnabled()` Return true if remote events are enabled.
`void` | `beforeCommit(TransactionEvent event)` Notification that the next flush is for the transaction commit.
`void` | `beforeFlush(TransactionEvent event)` Notification that a transaction is about to flush all object changes.
`void` | `close()` Close this manager and all registered listeners.
`protected void` | `fireEvent(Object event, Object listener)` Fire the given event to all listeners.
`RemoteCommitProvider` | `getRemoteCommitProvider()` Return the `RemoteCommitProvider` that this manager uses.
`void` | `registerListener(RemoteCommitListener listen)`

Methods inherited from class serp.util.AbstractEventManager
`fireEvent, getListeners, hasListener, hasListeners, registerListener, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteCommitEventManager

    public RemoteCommitEventManager(JDOConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### areRemoteEventsEnabled

    public boolean areRemoteEventsEnabled()

  Return true if remote events are enabled.

### getRemoteCommitProvider

    public RemoteCommitProvider getRemoteCommitProvider()

  Return the `RemoteCommitProvider` that this manager uses.
  Since:
    3.1

### registerListener

    public void registerListener(RemoteCommitListener listen)

### close

    public void close()

  Close this manager and all registered listeners.
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

### fireEvent

    protected void fireEvent(Object event,
                             Object listener)

  Fire the given event to all listeners.
  Overrides:
    `fireEvent` in class `serp.util.AbstractEventManager`

### afterCommit

    public void afterCommit(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that a transaction has successfully committed.
  Specified by:
    `afterCommit` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.AFTER_COMMIT`

### afterBegin

    public void afterBegin(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that a transaction has begun.
  Specified by:
    `afterBegin` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.AFTER_BEGIN`

### beforeFlush

    public void beforeFlush(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that a transaction is about to flush all object changes.
  Specified by:
    `beforeFlush` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.BEFORE_FLUSH`

### afterFlush

    public void afterFlush(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that a transaction has flushed all object changes.
  Specified by:
    `afterFlush` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.AFTER_FLUSH`

### beforeCommit

    public void beforeCommit(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that the next flush is for the transaction commit.
  Specified by:
    `beforeCommit` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.BEFORE_COMMIT`

### afterRollback

    public void afterRollback(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that a transaction has been rolled back.
  Specified by:
    `afterRollback` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.AFTER_ROLLBACK`

### afterStateTransitions

    public void afterStateTransitions(TransactionEvent event)

  Description copied from interface: `TransactionListener`
  Notification that JDO state transitions are complete.
  Specified by:
    `afterStateTransitions` in interface `TransactionListener`
  Following copied from interface: `kodo.event.TransactionListener`
  See Also:
    `TransactionEvent.AFTER_STATE_TRANSITIONS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.